/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.adservices.adselection;


/**
 * Represent input parameters to the reportImpression API.
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ReportImpressionRequest {

/**
 * @param adSelectionConfig This value cannot be {@code null}.
 */

public ReportImpressionRequest(long adSelectionId, @android.annotation.NonNull android.adservices.adselection.AdSelectionConfig adSelectionConfig) { throw new RuntimeException("Stub!"); }

/** Returns the adSelectionId, one of the inputs to {@link android.adservices.adselection.ReportImpressionRequest ReportImpressionRequest} */

public long getAdSelectionId() { throw new RuntimeException("Stub!"); }

/**
 * Returns the adSelectionConfig, one of the inputs to {@link android.adservices.adselection.ReportImpressionRequest ReportImpressionRequest}
 * @return This value cannot be {@code null}.
 */

@android.annotation.NonNull
public android.adservices.adselection.AdSelectionConfig getAdSelectionConfig() { throw new RuntimeException("Stub!"); }
}

